Show / Hide Table of Contents

# Struct AtkEvent

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkEvent

### Fields

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Listener

##### Declaration

    public AtkEventListener*Listener

##### Field Value

Type | Description
--- | ---
AtkEventListener* |

| Improve this Doc View Source

#### NextEvent

##### Declaration

    public AtkEvent*NextEvent

##### Field Value

Type | Description
--- | ---
AtkEvent* |

| Improve this Doc View Source

#### Node

##### Declaration

    public AtkResNode*Node

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Param

##### Declaration

    public uint Param

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Target

##### Declaration

    public AtkEventTarget*Target

##### Field Value

Type | Description
--- | ---
AtkEventTarget* |

| Improve this Doc View Source

#### Type

##### Declaration

    public byte Type

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk29

##### Declaration

    public byte Unk29

##### Field Value

Type | Description
--- | ---
System.Byte |